GET /suppressions
List the suppression list
Key created with the full_access permission (same rule as /domains).
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
limit | query | integer | |
after | query | string | cursor of the next page |
email | query | string |
Responses
| Status | Description | Body |
|---|---|---|
200 | Page of suppressions | object |
403 | api_key_permission_insufficient | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X GET "$GALON_API_BASE/suppressions" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.suppressions.list({ limit: 20 });Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.suppressions.list({"limit": 20})POST /suppressions
Add addresses to the suppression list
Key created with the full_access permission (same rule as /domains). 1 to 1 000 addresses per call.
API key (Bearer), on the public API endpoint.
Request body
application/json
| Field | Type | Description |
|---|---|---|
emails | array<string> · required |
Responses
| Status | Description | Body |
|---|---|---|
201 | Addresses added | object |
403 | scope_missing, api_key_permission_insufficient | Error |
422 | Invalid body | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/suppressions" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"emails": ["ana@example.com"]}'Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.suppressions.create({"emails": ["ana@example.com"]});Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.suppressions.create({"emails": ["ana@example.com"]})